Audio(1.8)

NAME
Audio - the AfterStep Sounds module

SYNOPSIS
Audio [-f config_file] [-v | --version] [-h | --help]

Although Audio can be run from the command line, it is normally spawned by afterstep in the autoexec file, in the following manner:

	Module	"I"	Audio

or from within an afterstep menu file by 'Audio':

% cat "~/GNUstep/Library/AfterStep/start/Modules/Audio"
	Module "Audio" Audio
	MiniPixmap "mini-as.xpm"

DESCRIPTION
The Audio module communicates with the AfterStep window manager to bind audio sounds to window manager actions. Different audio queues may be assigned to any window manager action. Audio can be used with any independent audio player, and therefore requires no special audio library APIs of its own. Simple in its design, it merely binds the audio filenames to particular actions and forks off the audio player program with the appropriate filename when that action occurs. If You have Rplay client-server installed and working Audio can use libRplay. It will try to autodetect it at the time of running configure and if it finds it - "builtin-rplay" will be placed as the default AudioPlay type. In addition Audio can copy Audion samples from .au files into /dev/audio on itself, or it can dump contents of the specified files into STDOUT, so you can redirect it anywhere you want.

OPTIONS

-f config_file
    Use config_file instead of the default configuration file.

-h | --help
    Print a usage message and exit successfully.

-v | --version
    Print version information and exit successfully.

INITIALIZATION
During initialization, Audio will search for a configuration file which describes the audio player and sound files associated with actions, to use. This file will be the one specified by the -f option (if given). Else, the ~/GNUstep/Library/AfterStep/audio file will be used if it exists. Else, /usr/local/share/afterstep/audio will be used.

INVOCATION
Audio can be invoked from the autoexec file or from a menu item as shown in the Synopsis section above. AfterStep will search through the directories specified in the ModulePath configuration in the base.#bpp (where # is your colordepth) to attempt to locate Audio.

CONFIGURATION OPTIONS
Audio reads the audio file when it starts up and looks for its configuration options.

*AudioPath path
    Specifies the path to look for the audio files. This option is ignored when rplay is used.

*AudioPlayCmd player
    This determines parameters for audio player program that will actually play the sounds, or any of the built-in players. The following are built-in options :

    builtin-rplay -  builtin rplay support will be used
    (must have rplay installed);
    builtin-cat - sound data will be sent to /dev/audio
    directly (this can only be used if AfterStep runs on
    the same computer as X Server).
    builtin-stdout - sound data will be dumped into
    STDOUT so you can redirect it anywhere you want.

    Anything other then these built in options will be considered a command line parameters for the external player. External player itself has to be specified at compile time using --with-soundplayer option for configure. Default is "play" utility from the SoX package. If this option is ommited then external player is used with no parameters.

    Note: sound file to be played always goes as the last parameter in external player's command line.

*AudioDelay seconds
    Specifies that sound events will only be played if they occur at least so many seconds after the previous event. Sound events that occur during the delay period are ignored. This option is useful if you don't want several sounds playing at the same time. The default delay is 0 which disables the audio delay.

*AudioRplayHost hostname
    Specifies what host the sounds will play on. The hostname can also be an environment variable such as $HOSTDISPLAY. This option is only valid with builtin rplay support. If this is left out then Audio will attempt to connect to rplay daemon on the same host that is running X first, then to localhost.

*AudioRplayPriority priority
    Specifies what priority will be assigned to the sounds when they are played. This option is only valid with builtin rplay support.

*AudioRplayVolume level
    Specifies what volume level will be assigned to the sounds when they are played. This option is only valid with builtin rplay support.

*Audio action filename
    Binds the particular window manager action that the sound filename is played for.

    The following actions are available for sounds:

        startup
        shutdown
        unknown
        add_window
        raise_window
        lower_window
        focus_change
        destroy_window
        iconify
        deiconify
        toggle_paging
        new_page
        new_desk
        configure_window
        window_name
        icon_name
        res_class
        res_name
        end_windowlist

AUTHORS
Sasha Vasko <sashav at sprintmail.com>
Frank Fejes <frank@ssax.com>
Dan Weeks <dan@mango.sfasu.edu>
Szijarto Szabolcs <saby@sch.bme.hu>
Mark Boyns <boyns@sdsu.edu>
Mark Scott <mscott@mcd.mot.com>
Robert Nation
David Mihm <dmihm@swbell.net> [man page]

SEE ALSO
afterstep(1), rplay(1), showaudio(1)